net.sf.jasperreports.charts.design

## Class JRDesignGanttDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.engine.design.JRDesignChartDataset
      - - net.sf.jasperreports.charts.design.JRDesignGanttDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRGanttDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRDesignGanttDataset
      extends JRDesignChartDataset
      implements JRGanttDataset

  Version:
    $Id: JRDesignGanttDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Peter Risko (peter@risko.hu)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_GANTT_SERIES`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignGanttDataset(JRChartDataset dataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGanttSeries(int index, JRGanttSeries ganttSeries)`
    `void` | `addGanttSeries(JRGanttSeries ganttSeries)`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRGanttSeries[]` | `getSeries()`
    `java.util.List<JRGanttSeries>` | `getSeriesList()`
    `JRGanttSeries` | `removeGanttSeries(JRGanttSeries ganttSeries)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `clone, getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_GANTT_SERIES

          public static final java.lang.String PROPERTY_GANTT_SERIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignGanttDataset

          public JRDesignGanttDataset(JRChartDataset dataset)

  - ### Method Detail

    - #### getSeries

          public JRGanttSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRGanttDataset`
      Returns:
        an array of `JRGanttSeries` objects representing the series for the Gantt chart
      See Also:
        `JRGanttSeries`

    - #### getSeriesList

          public java.util.List<JRGanttSeries> getSeriesList()

    - #### addGanttSeries

          public void addGanttSeries(JRGanttSeries ganttSeries)

    - #### addGanttSeries

          public void addGanttSeries(int index,
                            JRGanttSeries ganttSeries)

    - #### removeGanttSeries

          public JRGanttSeries removeGanttSeries(JRGanttSeries ganttSeries)

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`
      Overrides:
        `getDatasetType` in class `JRDesignChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com